﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class InterestPoint : MonoBehaviour {

    private Controller controller;
    private void OnTriggerEnter2D(Collider2D collision)
    {
        controller = collision.GetComponent<Controller>();
        if (controller != null)
        {
            GameManager.instance.cameraBehavior.targets.Add(transform.GetChild(0));
        }
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        controller = collision.GetComponent<Controller>();
        if (controller != null)
        {
            GameManager.instance.cameraBehavior.targets.Remove(transform.GetChild(0));
        }
    }
}
