﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Sirenix.OdinInspector;
using Reaktion;

[CreateAssetMenu(fileName = "New Note",menuName = "Note")]
public class Note : ScriptableObject
{

    public AudioClip sound;
    public Sprite sprite;
    public float volume;

    [HideInInspector] public AudioSource audioSource;
    [HideInInspector] public Transform anchor;
    [HideInInspector] public GameObject gameObject;
    [HideInInspector] public GameObject visuals;
    [HideInInspector] public TargetJoint2D joint;
    [HideInInspector] public AudioInjector injector;

}
