﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AddNoteOnEnter : MonoBehaviour
{

    public Note note;
    [AutoFind(typeof(Animator))] public Animator localAnim;

    private Controller controller;
    private bool activated = false;
    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (activated == true) return;

        controller = collision.GetComponent<Controller>();
        if (controller != null)
        {
            GameManager.instance.controller.AddNote(note, transform.position + Vector3.up * 1.5f);
            activated = true;
            localAnim.SetTrigger("startPlaying");
        }
    }
}
