﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundManager : MonoBehaviour {

    public AudioSource heartBeatAS;
    public List<AudioSource> noteAS = new List<AudioSource>();
    public Queue<AudioSource> notesToRemove = new Queue<AudioSource>();
    private int noteRef;
    public float volume;

    private void Start()
    {
        foreach(AudioSource _as in noteAS)
        {
            _as.volume = 0;
        }
    }

    private void FixedUpdate()
    {
        if (Input.GetKeyDown(KeyCode.A))
        {
            RemoveOldestNote();
        }
    }

    public void StartHeartBeat()
    {
        heartBeatAS.Play();
    }

    public void StopHeartBeat()
    {
        heartBeatAS.Stop();
    }

    public void AddNextNote()
    {
        noteAS[noteRef].volume = volume;
        notesToRemove.Enqueue(noteAS[noteRef]);
        noteRef++;
    }

    public void RemoveOldestNote()
    {
        AudioSource _toStop = notesToRemove.Dequeue();
        _toStop.volume = 0;

    }
}
